### Property

# WebKit WebsiteDataManager:base-data-directory

since: 2.10

#### Declaration

    property base-data-directory: utf8 [ read, write, construct-only ]

#### Description [src]

The base directory for website data. If `NULL`, a default location will be used.

Type:`gchar*`

Available since: 2.10

Default value | NULL
Getter method | `webkit_website_data_manager_get_base_data_directory()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes